<div class="front_page_section front_page_section_about<?php
			$rhythmo_scheme = rhythmo_get_theme_option('front_page_about_scheme');
			if (!rhythmo_is_inherit($rhythmo_scheme)) echo ' scheme_'.esc_attr($rhythmo_scheme);
			echo ' front_page_section_paddings_'.esc_attr(rhythmo_get_theme_option('front_page_about_paddings'));
		?>"<?php
		$rhythmo_css = '';
		$rhythmo_bg_image = rhythmo_get_theme_option('front_page_about_bg_image');
		if (!empty($rhythmo_bg_image)) 
			$rhythmo_css .= 'background-image: url('.esc_url(rhythmo_get_attachment_url($rhythmo_bg_image)).');';
		if (!empty($rhythmo_css))
			echo ' style="' . esc_attr($rhythmo_css) . '"';
?>><?php
	// Add anchor
	$rhythmo_anchor_icon = rhythmo_get_theme_option('front_page_about_anchor_icon');	
	$rhythmo_anchor_text = rhythmo_get_theme_option('front_page_about_anchor_text');	
	if ((!empty($rhythmo_anchor_icon) || !empty($rhythmo_anchor_text)) && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="front_page_section_about"'
										. (!empty($rhythmo_anchor_icon) ? ' icon="'.esc_attr($rhythmo_anchor_icon).'"' : '')
										. (!empty($rhythmo_anchor_text) ? ' title="'.esc_attr($rhythmo_anchor_text).'"' : '')
										. ']');
	}
	?>
	<div class="front_page_section_inner front_page_section_about_inner<?php
			if (rhythmo_get_theme_option('front_page_about_fullheight'))
				echo ' rhythmo-full-height sc_layouts_flex sc_layouts_columns_middle';
			?>"<?php
			$rhythmo_css = '';
			$rhythmo_bg_mask = rhythmo_get_theme_option('front_page_about_bg_mask');
			$rhythmo_bg_color = rhythmo_get_theme_option('front_page_about_bg_color');
			if (!empty($rhythmo_bg_color) && $rhythmo_bg_mask > 0)
				$rhythmo_css .= 'background-color: '.esc_attr($rhythmo_bg_mask==1
																	? $rhythmo_bg_color
																	: rhythmo_hex2rgba($rhythmo_bg_color, $rhythmo_bg_mask)
																).';';
			if (!empty($rhythmo_css))
				echo ' style="' . esc_attr($rhythmo_css) . '"';
	?>>
		<div class="front_page_section_content_wrap front_page_section_about_content_wrap content_wrap">
			<?php
			// Caption
			$rhythmo_caption = rhythmo_get_theme_option('front_page_about_caption');
			if (!empty($rhythmo_caption) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				?><h2 class="front_page_section_caption front_page_section_about_caption front_page_block_<?php echo !empty($rhythmo_caption) ? 'filled' : 'empty'; ?>"><?php echo wp_kses($rhythmo_caption, 'rhythmo_kses_content'); ?></h2><?php
			}
		
			// Description (text)
			$rhythmo_description = rhythmo_get_theme_option('front_page_about_description');
			if (!empty($rhythmo_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				?><div class="front_page_section_description front_page_section_about_description front_page_block_<?php echo !empty($rhythmo_description) ? 'filled' : 'empty'; ?>"><?php echo wp_kses(wpautop($rhythmo_description), 'rhythmo_kses_content'); ?></div><?php
			}
			
			// Content
			$rhythmo_content = rhythmo_get_theme_option('front_page_about_content');
			if (!empty($rhythmo_content) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				?><div class="front_page_section_content front_page_section_about_content front_page_block_<?php echo !empty($rhythmo_content) ? 'filled' : 'empty'; ?>"><?php
					$rhythmo_page_content_mask = '%%CONTENT%%';
					if (strpos($rhythmo_content, $rhythmo_page_content_mask) !== false) {
						$rhythmo_content = preg_replace(
									'/(\<p\>\s*)?'.$rhythmo_page_content_mask.'(\s*\<\/p\>)/i',
									sprintf('<div class="front_page_section_about_source">%s</div>',
												apply_filters('the_content', get_the_content())),
									$rhythmo_content
									);
					}
					rhythmo_show_layout($rhythmo_content);
				?></div><?php
			}
			?>
		</div>
	</div>
</div>