<div class="front_page_section front_page_section_contacts<?php
			$rhythmo_scheme = rhythmo_get_theme_option('front_page_contacts_scheme');
			if (!rhythmo_is_inherit($rhythmo_scheme)) echo ' scheme_'.esc_attr($rhythmo_scheme);
			echo ' front_page_section_paddings_'.esc_attr(rhythmo_get_theme_option('front_page_contacts_paddings'));
		?>"<?php
		$rhythmo_css = '';
		$rhythmo_bg_image = rhythmo_get_theme_option('front_page_contacts_bg_image');
		if (!empty($rhythmo_bg_image)) 
			$rhythmo_css .= 'background-image: url('.esc_url(rhythmo_get_attachment_url($rhythmo_bg_image)).');';
		if (!empty($rhythmo_css))
			echo ' style="' . esc_attr($rhythmo_css) . '"';
?>><?php
	// Add anchor
	$rhythmo_anchor_icon = rhythmo_get_theme_option('front_page_contacts_anchor_icon');	
	$rhythmo_anchor_text = rhythmo_get_theme_option('front_page_contacts_anchor_text');	
	if ((!empty($rhythmo_anchor_icon) || !empty($rhythmo_anchor_text)) && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="front_page_section_contacts"'
										. (!empty($rhythmo_anchor_icon) ? ' icon="'.esc_attr($rhythmo_anchor_icon).'"' : '')
										. (!empty($rhythmo_anchor_text) ? ' title="'.esc_attr($rhythmo_anchor_text).'"' : '')
										. ']');
	}
	?>
	<div class="front_page_section_inner front_page_section_contacts_inner<?php
			if (rhythmo_get_theme_option('front_page_contacts_fullheight'))
				echo ' rhythmo-full-height sc_layouts_flex sc_layouts_columns_middle';
			?>"<?php
			$rhythmo_css = '';
			$rhythmo_bg_mask = rhythmo_get_theme_option('front_page_contacts_bg_mask');
			$rhythmo_bg_color = rhythmo_get_theme_option('front_page_contacts_bg_color');
			if (!empty($rhythmo_bg_color) && $rhythmo_bg_mask > 0)
				$rhythmo_css .= 'background-color: '.esc_attr($rhythmo_bg_mask==1
																	? $rhythmo_bg_color
																	: rhythmo_hex2rgba($rhythmo_bg_color, $rhythmo_bg_mask)
																).';';
			if (!empty($rhythmo_css))
				echo ' style="' . esc_attr($rhythmo_css) . '"';
	?>>
		<div class="front_page_section_content_wrap front_page_section_contacts_content_wrap content_wrap">
			<?php

			// Title and description
			$rhythmo_caption = rhythmo_get_theme_option('front_page_contacts_caption');
			$rhythmo_description = rhythmo_get_theme_option('front_page_contacts_description');
			if (!empty($rhythmo_caption) || !empty($rhythmo_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				// Caption
				if (!empty($rhythmo_caption) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><h2 class="front_page_section_caption front_page_section_contacts_caption front_page_block_<?php echo !empty($rhythmo_caption) ? 'filled' : 'empty'; ?>"><?php
						echo wp_kses($rhythmo_caption, 'rhythmo_kses_content');
					?></h2><?php
				}
			
				// Description
				if (!empty($rhythmo_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><div class="front_page_section_description front_page_section_contacts_description front_page_block_<?php echo !empty($rhythmo_description) ? 'filled' : 'empty'; ?>"><?php
						echo wp_kses(wpautop($rhythmo_description), 'rhythmo_kses_content');
					?></div><?php
				}
			}

			// Content (text)
			$rhythmo_content = rhythmo_get_theme_option('front_page_contacts_content');
			$rhythmo_layout = rhythmo_get_theme_option('front_page_contacts_layout');
			if ($rhythmo_layout == 'columns' && (!empty($rhythmo_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?><div class="front_page_section_columns front_page_section_contacts_columns columns_wrap">
					<div class="column-1_3">
				<?php
			}

			if ((!empty($rhythmo_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?><div class="front_page_section_content front_page_section_contacts_content front_page_block_<?php echo !empty($rhythmo_content) ? 'filled' : 'empty'; ?>"><?php
					echo wp_kses($rhythmo_content, 'rhythmo_kses_content');
				?></div><?php
			}

			if ($rhythmo_layout == 'columns' && (!empty($rhythmo_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?></div><div class="column-2_3"><?php
			}
		
			// Shortcode output
			$rhythmo_sc = rhythmo_get_theme_option('front_page_contacts_shortcode');
			if (!empty($rhythmo_sc) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				?><div class="front_page_section_output front_page_section_contacts_output front_page_block_<?php echo !empty($rhythmo_sc) ? 'filled' : 'empty'; ?>"><?php
					rhythmo_show_layout(do_shortcode($rhythmo_sc));
				?></div><?php
			}

			if ($rhythmo_layout == 'columns' && (!empty($rhythmo_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?></div></div><?php
			}
			?>			
		</div>
	</div>
</div>