<div class="front_page_section front_page_section_googlemap<?php
			$rhythmo_scheme = rhythmo_get_theme_option('front_page_googlemap_scheme');
			if (!rhythmo_is_inherit($rhythmo_scheme)) echo ' scheme_'.esc_attr($rhythmo_scheme);
			echo ' front_page_section_paddings_'.esc_attr(rhythmo_get_theme_option('front_page_googlemap_paddings'));
		?>"<?php
		$rhythmo_css = '';
		$rhythmo_bg_image = rhythmo_get_theme_option('front_page_googlemap_bg_image');
		if (!empty($rhythmo_bg_image)) 
			$rhythmo_css .= 'background-image: url('.esc_url(rhythmo_get_attachment_url($rhythmo_bg_image)).');';
		if (!empty($rhythmo_css))
			echo ' style="' . esc_attr($rhythmo_css) . '"';
?>><?php
	// Add anchor
	$rhythmo_anchor_icon = rhythmo_get_theme_option('front_page_googlemap_anchor_icon');	
	$rhythmo_anchor_text = rhythmo_get_theme_option('front_page_googlemap_anchor_text');	
	if ((!empty($rhythmo_anchor_icon) || !empty($rhythmo_anchor_text)) && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="front_page_section_googlemap"'
										. (!empty($rhythmo_anchor_icon) ? ' icon="'.esc_attr($rhythmo_anchor_icon).'"' : '')
										. (!empty($rhythmo_anchor_text) ? ' title="'.esc_attr($rhythmo_anchor_text).'"' : '')
										. ']');
	}
	?>
	<div class="front_page_section_inner front_page_section_googlemap_inner<?php
			if (rhythmo_get_theme_option('front_page_googlemap_fullheight'))
				echo ' rhythmo-full-height sc_layouts_flex sc_layouts_columns_middle';
			?>"<?php
			$rhythmo_css = '';
			$rhythmo_bg_mask = rhythmo_get_theme_option('front_page_googlemap_bg_mask');
			$rhythmo_bg_color = rhythmo_get_theme_option('front_page_googlemap_bg_color');
			if (!empty($rhythmo_bg_color) && $rhythmo_bg_mask > 0)
				$rhythmo_css .= 'background-color: '.esc_attr($rhythmo_bg_mask==1
																	? $rhythmo_bg_color
																	: rhythmo_hex2rgba($rhythmo_bg_color, $rhythmo_bg_mask)
																).';';
			if (!empty($rhythmo_css))
				echo ' style="' . esc_attr($rhythmo_css) . '"';
	?>>
		<div class="front_page_section_content_wrap front_page_section_googlemap_content_wrap<?php
			$rhythmo_layout = rhythmo_get_theme_option('front_page_googlemap_layout');
			if ($rhythmo_layout != 'fullwidth')
				echo ' content_wrap';
		?>">
			<?php
			// Content wrap with title and description
			$rhythmo_caption = rhythmo_get_theme_option('front_page_googlemap_caption');
			$rhythmo_description = rhythmo_get_theme_option('front_page_googlemap_description');
			if (!empty($rhythmo_caption) || !empty($rhythmo_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				if ($rhythmo_layout == 'fullwidth') {
					?><div class="content_wrap"><?php
				}
					// Caption
					if (!empty($rhythmo_caption) || (current_user_can('edit_theme_options') && is_customize_preview())) {
						?><h2 class="front_page_section_caption front_page_section_googlemap_caption front_page_block_<?php echo !empty($rhythmo_caption) ? 'filled' : 'empty'; ?>"><?php
							echo wp_kses($rhythmo_caption, 'rhythmo_kses_content');
						?></h2><?php
					}
				
					// Description (text)
					if (!empty($rhythmo_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
						?><div class="front_page_section_description front_page_section_googlemap_description front_page_block_<?php echo !empty($rhythmo_description) ? 'filled' : 'empty'; ?>"><?php
							echo wp_kses(wpautop($rhythmo_description), 'rhythmo_kses_content');
						?></div><?php
					}
				if ($rhythmo_layout == 'fullwidth') {
					?></div><?php
				}
			}

			// Content (text)
			$rhythmo_content = rhythmo_get_theme_option('front_page_googlemap_content');
			if (!empty($rhythmo_content) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				if ($rhythmo_layout == 'columns') {
					?><div class="front_page_section_columns front_page_section_googlemap_columns columns_wrap">
						<div class="column-1_3">
					<?php
				} else if ($rhythmo_layout == 'fullwidth') {
					?><div class="content_wrap"><?php
				}
	
				?><div class="front_page_section_content front_page_section_googlemap_content front_page_block_<?php echo !empty($rhythmo_content) ? 'filled' : 'empty'; ?>"><?php
					echo wp_kses($rhythmo_content, 'rhythmo_kses_content');
				?></div><?php
	
				if ($rhythmo_layout == 'columns') {
					?></div><div class="column-2_3"><?php
				} else if ($rhythmo_layout == 'fullwidth') {
					?></div><?php
				}
			}
			
			// Widgets output
			?><div class="front_page_section_output front_page_section_googlemap_output"><?php 
				if (is_active_sidebar('front_page_googlemap_widgets')) {
					dynamic_sidebar( 'front_page_googlemap_widgets' );
				} else if (current_user_can( 'edit_theme_options' )) {
					if (!rhythmo_exists_trx_addons())
						rhythmo_customizer_need_trx_addons_message();
					else
						rhythmo_customizer_need_widgets_message('front_page_googlemap_caption', 'ThemeREX Addons - Google map');
				}
			?></div><?php

			if ($rhythmo_layout == 'columns' && (!empty($rhythmo_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?></div></div><?php
			}
			?>			
		</div>
	</div>
</div>