<?php
/* elegro_payment support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('rhythmo_elegro_payment_theme_setup9')) {
    add_action( 'after_setup_theme', 'rhythmo_elegro_payment_theme_setup9', 9 );
    function rhythmo_elegro_payment_theme_setup9() {
        if (rhythmo_exists_elegro_payment()) {

        }
        if (is_admin()) {
            add_filter( 'rhythmo_filter_tgmpa_required_plugins',		'rhythmo_elegro_payment_tgmpa_required_plugins' );
        }
    }
}

// Filter to add in the required plugins list
if ( !function_exists( 'rhythmo_elegro_payment_tgmpa_required_plugins' ) ) {
    function rhythmo_elegro_payment_tgmpa_required_plugins($list=array()) {
        if (rhythmo_storage_isset('required_plugins', 'elegro-payment')) {
            $list[] = array(
                'name' 		=> rhythmo_storage_get_array('required_plugins', 'elegro-payment'),
                'slug' 		=> 'elegro-payment',
                'required' 	=> false
            );
        }
        return $list;
    }
}

// Check if plugin installed and activated
if ( !function_exists( 'rhythmo_exists_elegro_payment' ) ) {
    function rhythmo_exists_elegro_payment() {
      return class_exists( 'WC_Elegro_Payment' );
    }
}

?>