<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package WordPress
 * @subpackage RHYTHMO
 * @since RHYTHMO 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap<?php
				if (!rhythmo_is_inherit(rhythmo_get_theme_option('copyright_scheme')))
					echo ' scheme_' . esc_attr(rhythmo_get_theme_option('copyright_scheme'));
 				?>">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text"><?php
				$rhythmo_copyright = rhythmo_get_theme_option('copyright');
				if (!empty($rhythmo_copyright)) {
					// Replace {{Y}} or {Y} with the current year
					$rhythmo_copyright = str_replace(array('{{Y}}', '{Y}'), date('Y'), $rhythmo_copyright);
					// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
					$rhythmo_copyright = rhythmo_prepare_macros($rhythmo_copyright);
					// Display copyright
					echo wp_kses_data(nl2br($rhythmo_copyright));
				}
			?></div>
		</div>
	</div>
</div>
