<?php
/**
 * The Footer: widgets area, logo, footer menu and socials
 *
 * @package WordPress
 * @subpackage RHYTHMO
 * @since RHYTHMO 1.0
 */

						// Widgets area inside page content
						rhythmo_create_widgets_area('widgets_below_content');
						?>				
					</div><!-- </.content> -->

					<?php
					// Show main sidebar
					get_sidebar();

					// Widgets area below page content
					rhythmo_create_widgets_area('widgets_below_page');

					$rhythmo_body_style = rhythmo_get_theme_option('body_style');
					if ($rhythmo_body_style != 'fullscreen') {
						?></div><!-- </.content_wrap> --><?php
					}
					?>
			</div><!-- </.page_content_wrap> -->

			<?php
			// Footer
			$rhythmo_footer_type = rhythmo_get_theme_option("footer_type");
			if ($rhythmo_footer_type == 'custom' && !rhythmo_is_layouts_available())
				$rhythmo_footer_type = 'default';
			get_template_part( "templates/footer-{$rhythmo_footer_type}");
			?>

		</div><!-- /.page_wrap -->

	</div><!-- /.body_wrap -->





<?php
    $custom_on = rhythmo_get_theme_option('side_button_section');
    $side_button_caption = rhythmo_get_theme_option('side_button_caption');
    $custom_layout = rhythmo_get_theme_option('side_button_layout');


    // Custom Section

    if (rhythmo_is_on($custom_on) && !empty($side_button_caption)) {
        $rhythmo_custom_id = str_replace('custom-custom-', '', $custom_layout);
        if ((int)$rhythmo_custom_id == 0) {
            $rhythmo_custom_id = rhythmo_get_post_id(array(
                    'name' => $rhythmo_custom_id,
                    'post_type' => defined('TRX_ADDONS_CPT_LAYOUTS_PT') ? TRX_ADDONS_CPT_LAYOUTS_PT : 'cpt_layouts'
                )
            );
        } else {
            $rhythmo_custom_id = apply_filters('rhythmo_filter_get_translated_layout', $rhythmo_custom_id);
        }
        if (!empty($rhythmo_custom_id) && (int)$rhythmo_custom_id != 0) { ?>
            <div class="custom_section">
                <div class="side_button_wrapper">
                    <div class="caption_button">
                        <span class="caption_button_item"><?php rhythmo_show_layout($side_button_caption); ?></span>
                    </div>
                    <div class="layouts_wrap">
                        <div class="layouts_wrap_inner">
                            <div class="layouts_container">
                                <div class="sc_layouts sc_layouts_custom sc_layouts_<?php echo esc_attr($rhythmo_custom_id); ?>">
                                    <?php do_action('rhythmo_action_show_layout', $rhythmo_custom_id); ?>
                                </div>
                            </div>
                            <a class="custom_section_close icon-020-x-close"></a>
                        </div>
                    </div>
                    <div class="mask"></div>
                </div>
            </div>
        <?php }
    }
    ?>





	<?php if (rhythmo_is_on(rhythmo_get_theme_option('debug_mode')) && rhythmo_get_file_dir('images/makeup.jpg')!='') { ?>
		<img src="<?php echo esc_url(rhythmo_get_file_url('images/makeup.jpg')); ?>" id="makeup">
	<?php } ?>

	<?php wp_footer(); ?>

</body>
</html>