<div class="front_page_section front_page_section_woocommerce<?php
			$rhythmo_scheme = rhythmo_get_theme_option('front_page_woocommerce_scheme');
			if (!rhythmo_is_inherit($rhythmo_scheme)) echo ' scheme_'.esc_attr($rhythmo_scheme);
			echo ' front_page_section_paddings_'.esc_attr(rhythmo_get_theme_option('front_page_woocommerce_paddings'));
		?>"<?php
		$rhythmo_css = '';
		$rhythmo_bg_image = rhythmo_get_theme_option('front_page_woocommerce_bg_image');
		if (!empty($rhythmo_bg_image)) 
			$rhythmo_css .= 'background-image: url('.esc_url(rhythmo_get_attachment_url($rhythmo_bg_image)).');';
		if (!empty($rhythmo_css))
			echo ' style="' . esc_attr($rhythmo_css) . '"';
?>><?php
	// Add anchor
	$rhythmo_anchor_icon = rhythmo_get_theme_option('front_page_woocommerce_anchor_icon');	
	$rhythmo_anchor_text = rhythmo_get_theme_option('front_page_woocommerce_anchor_text');	
	if ((!empty($rhythmo_anchor_icon) || !empty($rhythmo_anchor_text)) && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="front_page_section_woocommerce"'
										. (!empty($rhythmo_anchor_icon) ? ' icon="'.esc_attr($rhythmo_anchor_icon).'"' : '')
										. (!empty($rhythmo_anchor_text) ? ' title="'.esc_attr($rhythmo_anchor_text).'"' : '')
										. ']');
	}
	?>
	<div class="front_page_section_inner front_page_section_woocommerce_inner<?php
			if (rhythmo_get_theme_option('front_page_woocommerce_fullheight'))
				echo ' rhythmo-full-height sc_layouts_flex sc_layouts_columns_middle';
			?>"<?php
			$rhythmo_css = '';
			$rhythmo_bg_mask = rhythmo_get_theme_option('front_page_woocommerce_bg_mask');
			$rhythmo_bg_color = rhythmo_get_theme_option('front_page_woocommerce_bg_color');
			if (!empty($rhythmo_bg_color) && $rhythmo_bg_mask > 0)
				$rhythmo_css .= 'background-color: '.esc_attr($rhythmo_bg_mask==1
																	? $rhythmo_bg_color
																	: rhythmo_hex2rgba($rhythmo_bg_color, $rhythmo_bg_mask)
																).';';
			if (!empty($rhythmo_css))
				echo ' style="' . esc_attr($rhythmo_css) . '"';
	?>>
		<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
			<?php
			// Content wrap with title and description
			$rhythmo_caption = rhythmo_get_theme_option('front_page_woocommerce_caption');
			$rhythmo_description = rhythmo_get_theme_option('front_page_woocommerce_description');
			if (!empty($rhythmo_caption) || !empty($rhythmo_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				// Caption
				if (!empty($rhythmo_caption) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo !empty($rhythmo_caption) ? 'filled' : 'empty'; ?>"><?php
						echo wp_kses($rhythmo_caption, 'rhythmo_kses_content');
					?></h2><?php
				}
			
				// Description (text)
				if (!empty($rhythmo_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo !empty($rhythmo_description) ? 'filled' : 'empty'; ?>"><?php
						echo wp_kses(wpautop($rhythmo_description), 'rhythmo_kses_content');
					?></div><?php
				}
			}
		
			// Content (widgets)
			?><div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs"><?php 
				$rhythmo_woocommerce_sc = rhythmo_get_theme_option('front_page_woocommerce_products');
				if ($rhythmo_woocommerce_sc == 'products') {
					$rhythmo_woocommerce_sc_ids = rhythmo_get_theme_option('front_page_woocommerce_products_per_page');
					$rhythmo_woocommerce_sc_per_page = count(explode(',', $rhythmo_woocommerce_sc_ids));
				} else {
					$rhythmo_woocommerce_sc_per_page = max(1, (int) rhythmo_get_theme_option('front_page_woocommerce_products_per_page'));
				}
				$rhythmo_woocommerce_sc_columns = max(1, min($rhythmo_woocommerce_sc_per_page, (int) rhythmo_get_theme_option('front_page_woocommerce_products_columns')));
				echo do_shortcode("[{$rhythmo_woocommerce_sc}"
									. ($rhythmo_woocommerce_sc == 'products' 
											? ' ids="'.esc_attr($rhythmo_woocommerce_sc_ids).'"' 
											: '')
									. ($rhythmo_woocommerce_sc == 'product_category' 
											? ' category="'.esc_attr(rhythmo_get_theme_option('front_page_woocommerce_products_categories')).'"' 
											: '')
									. ($rhythmo_woocommerce_sc != 'best_selling_products' 
											? ' orderby="'.esc_attr(rhythmo_get_theme_option('front_page_woocommerce_products_orderby')).'"'
											  . ' order="'.esc_attr(rhythmo_get_theme_option('front_page_woocommerce_products_order')).'"' 
											: '')
									. ' per_page="'.esc_attr($rhythmo_woocommerce_sc_per_page).'"' 
									. ' columns="'.esc_attr($rhythmo_woocommerce_sc_columns).'"' 
									. ']');
			?></div>
		</div>
	</div>
</div>