<?php
/**
 * The template for homepage posts with "Chess" style
 *
 * @package WordPress
 * @subpackage RHYTHMO
 * @since RHYTHMO 1.0
 */

rhythmo_storage_set('blog_archive', true);

get_header(); 

if (have_posts()) {

	rhythmo_show_layout(get_query_var('blog_archive_start'));

	$rhythmo_stickies = is_home() ? get_option( 'sticky_posts' ) : false;
	$rhythmo_sticky_out = rhythmo_get_theme_option('sticky_style')=='columns' 
							&& is_array($rhythmo_stickies) && count($rhythmo_stickies) > 0 && get_query_var( 'paged' ) < 1;
	if ($rhythmo_sticky_out) {
		?><div class="sticky_wrap columns_wrap"><?php	
	}
	if (!$rhythmo_sticky_out) {
		?><div class="chess_wrap posts_container"><?php
	}
	while ( have_posts() ) { the_post(); 
		if ($rhythmo_sticky_out && !is_sticky()) {
			$rhythmo_sticky_out = false;
			?></div><div class="chess_wrap posts_container"><?php
		}
		get_template_part( 'content', $rhythmo_sticky_out && is_sticky() ? 'sticky' :'chess' );
	}
	
	?></div><?php

	rhythmo_show_pagination();

	rhythmo_show_layout(get_query_var('blog_archive_end'));

} else {

	if ( is_search() )
		get_template_part( 'content', 'none-search' );
	else
		get_template_part( 'content', 'none-archive' );

}

get_footer();
?>