<?php
/* Give support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('rhythmo_give_theme_setup9')) {
    add_action( 'after_setup_theme', 'rhythmo_give_theme_setup9', 9 );
    function rhythmo_give_theme_setup9() {
        if (rhythmo_exists_give()) {

        }
        if (is_admin()) {
            add_filter( 'rhythmo_filter_tgmpa_required_plugins',		'rhythmo_give_tgmpa_required_plugins' );
        }
    }
}

// Filter to add in the required plugins list
if ( !function_exists( 'rhythmo_give_tgmpa_required_plugins' ) ) {
    function rhythmo_give_tgmpa_required_plugins($list=array()) {
        if (rhythmo_storage_isset('required_plugins', 'give')) {
            $list[] = array(
                'name' 		=> rhythmo_storage_get_array('required_plugins', 'give'),
                'slug' 		=> 'give',
                'required' 	=> false
            );
        }
        return $list;
    }
}

// Check if plugin installed and activated
if ( !function_exists( 'rhythmo_exists_give' ) ) {
    function rhythmo_exists_give() {
        return function_exists('Give');
    }
}

?>